# Query Withdrawal Account Detail

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/withdrawal/query-withdrawal-account-detail`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>payee_id</td><td>long</td><td> Withdrawal Payee ID</td></tr><tr><td>account_num</td><td>string</td><td>Bank Account Number/IBAN</td></tr></tbody></table>

{% hint style="info" %}
choose one of withdrawal\_account\_id and account\_num
{% endhint %}

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{
    },
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="242.015625">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>withdrawal_account_id</td><td>long</td><td>Withdrawal Account Id</td></tr><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>payee_name<mark style="color:red;">*</mark></td><td>string</td><td>Payee Name</td></tr><tr><td>bank_country<mark style="color:red;">*</mark></td><td>string</td><td>Country Code</td></tr><tr><td>receive_currency<mark style="color:red;">*</mark></td><td>string</td><td>Arrive Currency</td></tr><tr><td>payment_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Pay Type,</p><p>Refer to <a href="/pages/3NVQck9ySQfOAf9171Fr">Pay Type</a></p></td></tr><tr><td>account_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Account Type</p><p>Refer to<a href="/pages/Y1e2AO75TEu30Li0z7uB"> Account Type</a></p></td></tr><tr><td>payee_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Payee Type </p><p>Refer to: <a href="/pages/2ZEc7SpMUkYyoMWeLwbV">Payee Type</a></p></td></tr><tr><td>payee_values<mark style="color:red;">*</mark></td><td>object</td><td>Pay Values</td></tr><tr><td>account_num<mark style="color:red;">*</mark></td><td>string</td><td>Bank Account Number/IBAN</td></tr><tr><td>remark</td><td>string</td><td>Remark</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/withdrawal/query-withdrawal-account' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/withdrawal/query-withdrawal-account-detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
